# Accounting API — Balance Sheet

> Canonical URL: https://developers.apideck.com/apis/accounting/reference#tag/Balance-Sheet

This document contains every operation on the `Balance Sheet` resource.

---

# Get BalanceSheet

> **Accounting API** · `GET /accounting/balance-sheet`
> Canonical URL: https://developers.apideck.com/apis/accounting/reference#tag/Balance-Sheet/operation/balanceSheetOne

Get BalanceSheet

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `x-apideck-company-id` | header | `string` | No | The ID of the company to scope requests to. For connectors that support multi-company, this overrides the default company configured in connection settings. |
| `pass_through` | query | `object` | No | Optional unmapped key/values that will be passed through to downstream as query parameters. Ie: ?pass_through[search]=leads becomes ?search=leads |
| `filter` | query | `object` | No | Apply filters |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |

### Responses

#### 200 — BalanceSheet

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `service` `string` **required** — Apideck ID of service provider — example: `quickbooks`
- `resource` `string` **required** — Unified API resource name — example: `BalanceSheets`
- `operation` `string` **required** — Operation performed — example: `one`
- `data` `object` **required**
  - `reports` `array of object` **required**
    - `id` `string` — A unique identifier for an object. — example: `12345`
    - `report_name` `string` — The name of the report — example: `BalanceSheet`
    - `start_date` `string` — The start date of the report — example: `2017-01-01`
    - `end_date` `string` **required** — The start date of the report — example: `2017-01-31`
    - `currency` `string` — Indicates the associated currency for an amount of money. Values correspond to [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217). — enum: `UNKNOWN_CURRENCY`, `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `CNY`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SSP`, `STD`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRC`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `USS`, `UYI`, `UYU`, `UZS`, `VEF`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XTS`, `XXX`, `YER`, `ZAR`, `ZMK`, `ZMW`, `BTC`, `ETH` — example: `USD`
    - `assets` `object` **required** — A balance sheet assets account represents the financial position of a company at a specific point in time.
      - `account_id` `string` — The unique identifier for the account. — example: `123456`
      - `code` `string` — The account code of the account — example: `1100`
      - `name` `string` — The name of the account. — example: `Current assets`
      - `value` `number` — The amount or value of the item — example: `1000`
      - `items` `array of object | object` — A list of balance sheet accounts
        - One of:
          - Option 1: object
            - _(schema continues — truncated at depth 6)_

          - Option 2: object
            - _(schema continues — truncated at depth 6)_
    - `liabilities` `object` **required** — A balance sheet liabilities account represents the financial position of a company at a specific point in time.
      - `account_id` `string` — The unique identifier for the account. — example: `123456`
      - `code` `string` — The account code of the account — example: `1100`
      - `name` `string` — The name of the account. — example: `Current assets`
      - `value` `number` — The amount or value of the item — example: `1000`
      - `items` `array of object | object` — A list of balance sheet accounts
        - One of:
          - Option 1: object
            - _(schema continues — truncated at depth 6)_

          - Option 2: object
            - _(schema continues — truncated at depth 6)_
    - `equity` `object` **required** — A balance sheet equity account represents the financial position of a company at a specific point in time.
      - `account_id` `string` — The unique identifier for the account. — example: `123456`
      - `code` `string` — The account code of the account — example: `1100`
      - `name` `string` — The name of the account. — example: `Current assets`
      - `value` `number` — The amount or value of the item — example: `1000`
      - `items` `array of object | object` — A list of balance sheet accounts
        - One of:
          - Option 1: object
            - _(schema continues — truncated at depth 6)_

          - Option 2: object
            - _(schema continues — truncated at depth 6)_
    - `net_assets` `number` — The net assets of the balance sheet — example: `1000`
    - `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
    - `updated_by` `string` — The user who last updated the object. — example: `12345`
    - `created_by` `string` — The user who created the object. — example: `12345`
    - `updated_at` `string` — The date and time when the object was last updated. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
    - `created_at` `string` — The date and time when the object was created. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
    - `uncategorized_items` `object` — A balance sheet uncategorized items account represents the financial position of a company at a specific point in time.
      - `account_id` `string` — The unique identifier for the account. — example: `123456`
      - `code` `string` — The account code of the account — example: `1100`
      - `name` `string` — The name of the account. — example: `Current assets`
      - `value` `number` — The amount or value of the item — example: `1000`
      - `items` `array of object | object` — A list of balance sheet accounts
        - One of:
          - Option 1: object
            - _(schema continues — truncated at depth 6)_

          - Option 2: object
            - _(schema continues — truncated at depth 6)_
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---
